"""Add the torrentinfo table and torrent fields on blobuploads.

Revision ID: 23ca04d0bc8e
Revises: 471caec2cb66
Create Date: 2016-01-06 13:25:24.597037

"""

# revision identifiers, used by Alembic.
revision = '23ca04d0bc8e'
down_revision = '471caec2cb66'

from alembic import op
import sqlalchemy as sa

from util.migrate import UTF8LongText

def upgrade(tables):
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('torrentinfo',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('storage_id', sa.Integer(), nullable=False),
    sa.Column('piece_length', sa.Integer(), nullable=False),
    sa.Column('pieces', sa.Text(), nullable=False),
    sa.ForeignKeyConstraint(['storage_id'], ['imagestorage.id'], name=op.f('fk_torrentinfo_storage_id_imagestorage')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_torrentinfo'))
    )
    op.create_index('torrentinfo_storage_id', 'torrentinfo', ['storage_id'], unique=False)
    op.create_index('torrentinfo_storage_id_piece_length', 'torrentinfo', ['storage_id', 'piece_length'], unique=True)
    op.add_column(u'blobupload', sa.Column('piece_hashes', UTF8LongText(), nullable=True))
    op.add_column(u'blobupload', sa.Column('piece_sha_state', UTF8LongText(), nullable=True))
    ### end Alembic commands ###


def downgrade(tables):
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column(u'blobupload', 'piece_sha_state')
    op.drop_column(u'blobupload', 'piece_hashes')
    op.drop_table('torrentinfo')
    ### end Alembic commands ###
