"""Migrate image data back to image table

Revision ID: 545794454f49
Revises: 3a3bb77e17d5
Create Date: 2015-09-15 11:48:47.554255

"""

# revision identifiers, used by Alembic.
revision = '545794454f49'
down_revision = '3a3bb77e17d5'

from alembic import op
import sqlalchemy as sa

from util.migrate import UTF8LongText

def upgrade(tables):
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('image', sa.Column('aggregate_size', sa.BigInteger(), nullable=True))
    op.add_column('image', sa.Column('command', sa.Text(), nullable=True))
    op.add_column('image', sa.Column('comment', UTF8LongText(), nullable=True))
    op.add_column('image', sa.Column('created', sa.DateTime(), nullable=True))
    op.add_column('image', sa.Column('v1_json_metadata', UTF8LongText(), nullable=True))
    ### end Alembic commands ###


def downgrade(tables):
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('image', 'v1_json_metadata')
    op.drop_column('image', 'created')
    op.drop_column('image', 'comment')
    op.drop_column('image', 'command')
    op.drop_column('image', 'aggregate_size')
    ### end Alembic commands ###
