"""Add created field to the BlobUpload table

Revision ID: 88e0f440a2f
Revises: 403d02fea323
Create Date: 2015-12-14 15:19:11.825279

"""

# revision identifiers, used by Alembic.
revision = '88e0f440a2f'
down_revision = '403d02fea323'

from alembic import op
import sqlalchemy as sa
from datetime import datetime

def upgrade(tables):
    ### commands auto generated by Alembic - please adjust! ###
    now = datetime.now().strftime("'%Y-%m-%d %H:%M:%S'")
    op.add_column('blobupload', sa.Column('created', sa.DateTime(), nullable=False, server_default=sa.text(now)))
    op.create_index('blobupload_created', 'blobupload', ['created'], unique=False)
    ### end Alembic commands ###


def downgrade(tables):
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('blobupload_created', table_name='blobupload')
    op.drop_column('blobupload', 'created')
    ### end Alembic commands ###
