import urllib2
import re
import os

LOCAL_DIRECTORY = '/static/ldn/'

EXTERNAL_JS = [
  'code.jquery.com/jquery.js',
  'netdna.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js',
  'ajax.googleapis.com/ajax/libs/angularjs/1.5.3/angular.min.js',
  'ajax.googleapis.com/ajax/libs/angularjs/1.5.3/angular-route.min.js',
  'ajax.googleapis.com/ajax/libs/angularjs/1.5.3/angular-sanitize.min.js',
  'ajax.googleapis.com/ajax/libs/angularjs/1.5.3/angular-animate.min.js',
  'ajax.googleapis.com/ajax/libs/angularjs/1.5.3/angular-cookies.min.js',
  'cdn.jsdelivr.net/g/momentjs',
  'cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.2.0/js/bootstrap-datepicker.min.js',
  'cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/js/bootstrap-datetimepicker.min.js',
  'cdn.jsdelivr.net/g/bootbox@4.1.0,underscorejs@1.5.2,restangular@1.2.0,d3js@3.3.3',
  'cdn.ravenjs.com/3.1.0/angular/raven.min.js',
  'cdn.jsdelivr.net/cal-heatmap/3.3.10/cal-heatmap.min.js',
]

EXTERNAL_CSS = [
  'netdna.bootstrapcdn.com/font-awesome/4.6.0/css/font-awesome.css',
  'netdna.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css',
  'fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700',
  's3.amazonaws.com/cdn.core-os.net/icons/core-icons.css',
  'cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/css/bootstrap-datetimepicker.min.css',
  'cdn.jsdelivr.net/cal-heatmap/3.3.10/cal-heatmap.css',
]

EXTERNAL_FONTS = [
  'netdna.bootstrapcdn.com/font-awesome/4.6.0/fonts/fontawesome-webfont.eot?v=4.6.0',
  'netdna.bootstrapcdn.com/font-awesome/4.6.0/fonts/fontawesome-webfont.woff?v=4.6.0',
  'netdna.bootstrapcdn.com/font-awesome/4.6.0/fonts/fontawesome-webfont.ttf?v=4.6.0',
  'netdna.bootstrapcdn.com/font-awesome/4.6.0/fonts/fontawesome-webfont.svg?v=4.6.0',

  'netdna.bootstrapcdn.com/bootstrap/3.3.2/fonts/glyphicons-halflings-regular.eot',
  'netdna.bootstrapcdn.com/bootstrap/3.3.2/fonts/glyphicons-halflings-regular.woff2',
  'netdna.bootstrapcdn.com/bootstrap/3.3.2/fonts/glyphicons-halflings-regular.woff',
  'netdna.bootstrapcdn.com/bootstrap/3.3.2/fonts/glyphicons-halflings-regular.ttf',
  'netdna.bootstrapcdn.com/bootstrap/3.3.2/fonts/glyphicons-halflings-regular.svg',
]

EXTERNAL_CSS_FONTS = [
  's3.amazonaws.com/cdn.core-os.net/icons/core-icons.eot',
  's3.amazonaws.com/cdn.core-os.net/icons/core-icons.woff',
  's3.amazonaws.com/cdn.core-os.net/icons/core-icons.ttf',
  's3.amazonaws.com/cdn.core-os.net/icons/core-icons.svg',
]


def get_external_javascript(local=False):
  if local:
    return [LOCAL_DIRECTORY + format_local_name(src) for src in EXTERNAL_JS]

  return ['//' + src for src in EXTERNAL_JS]


def get_external_css(local=False):
  if local:
    return [LOCAL_DIRECTORY + format_local_name(src) for src in EXTERNAL_CSS]

  return ['//' + src for src in EXTERNAL_CSS]


def format_local_name(url):
  filename = url.split('/')[-1]
  filename = re.sub(r'[+,?@=:]', '', filename)
  if not filename.endswith('.css') and not filename.endswith('.js'):
   if filename.find('css') >= 0:
     filename = filename + '.css'
   else:
     filename = filename + '.js'

  return filename


if __name__ == '__main__':
  for url in EXTERNAL_JS + EXTERNAL_CSS:
      print 'Downloading %s' % url
      response = urllib2.urlopen('https://' + url)
      contents = response.read()

      filename = format_local_name(url)
      print 'Writing %s' % filename
      with open(LOCAL_DIRECTORY + filename, 'w') as f:
        f.write(contents)

  for url in EXTERNAL_CSS_FONTS:
      print 'Downloading %s' % url
      response = urllib2.urlopen('https://' + url)

      filename = os.path.basename(url).split('?')[0]
      with open('static/ldn/' + filename, "wb") as local_file:
        local_file.write(response.read())

  for url in EXTERNAL_FONTS:
      print 'Downloading %s' % url
      response = urllib2.urlopen('https://' + url)

      filename = os.path.basename(url).split('?')[0]
      with open('static/fonts/' + filename, "wb") as local_file:
        local_file.write(response.read())
